/*
 Copyright (c) MINZ team
 Code by JaeHyuk Cho <mailto:minzkn@infoeq.com>
 Made in KOREA
*/

#ifndef DEF_SOURCE_cpuusage_h
#define DEF_SOURCE_cpuusage_h "cpuusage.c"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/time.h>
#include <unistd.h>
#include <fcntl.h>

typedef struct
{
 char How;	
 unsigned long User, Nice, System, Idle, Total;
}t_CPU_Tick;

#ifndef DEF_SOURCE_cpuusage_c

extern int MZ_GetCPU_StatBuffer(void *s_Buffer, int s_Length);
extern int MZ_GetCPU_Parse(char s_How, void *s_Buffer, t_CPU_Tick *s_CPU_Tick);
extern void MZ_GetCPU_MakeSubInfo(t_CPU_Tick *s_SubInfo, const t_CPU_Tick *s_OldInfo, const t_CPU_Tick *s_NewInfo);

#endif

#endif

/* End of source */
